System.register([], function (_export, _context) {
  "use strict";

  return {
    setters: [],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_client_lang_utils_js = _recorder_._src_client_lang_utils_js || {};
      Object.defineProperty(_recorder_._src_client_lang_utils_js, "extend", {
        get() {
          return extend;
        },

        set(thisIsVererySecretVariableName) {
          _export("extend", extend = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      function extend(obj, definitions) {
        const descriptors = Object.getOwnPropertyDescriptors(definitions);
        for (let [propName, descriptor] of Object.entries(descriptors)) {
          descriptor.enumerable = false;
          Object.defineProperty(obj, propName, descriptor);
        }
      }

      _export("extend", extend);
    }
  };
});